Package org.apache.sling.clam.oak.internal

## Class NodeObservingJcrPropertyDigger

- java.lang.Object
- - org.apache.jackrabbit.oak.plugins.observation.NodeObserver
  - - org.apache.sling.clam.oak.internal.NodeObservingJcrPropertyDigger

All Implemented Interfaces:
  `org.apache.jackrabbit.oak.spi.commit.Observer`

    public class NodeObservingJcrPropertyDigger
    extends org.apache.jackrabbit.oak.plugins.observation.NodeObserver

### Constructor Summary

Constructors
`NodeObservingJcrPropertyDigger()`

### Method Summary

All Methods Instance Methods Concrete Methods
`protected void` `added​(@NotNull java.lang.String path, @NotNull java.util.Set<java.lang.String> added, @NotNull java.util.Set<java.lang.String> deleted, @NotNull java.util.Set<java.lang.String> changed, @NotNull java.util.Map<java.lang.String,​java.lang.String> properties, @NotNull org.apache.jackrabbit.oak.spi.commit.CommitInfo commitInfo)`
`protected void` `changed​(@NotNull java.lang.String path, @NotNull java.util.Set<java.lang.String> added, @NotNull java.util.Set<java.lang.String> deleted, @NotNull java.util.Set<java.lang.String> changed, @NotNull java.util.Map<java.lang.String,​java.lang.String> properties, @NotNull org.apache.jackrabbit.oak.spi.commit.CommitInfo commitInfo)`
`protected void` `deleted​(@NotNull java.lang.String path, @NotNull java.util.Set<java.lang.String> added, @NotNull java.util.Set<java.lang.String> deleted, @NotNull java.util.Set<java.lang.String> changed, @NotNull java.util.Map<java.lang.String,​java.lang.String> properties, @NotNull org.apache.jackrabbit.oak.spi.commit.CommitInfo commitInfo)`

### Methods inherited from class org.apache.jackrabbit.oak.plugins.observation.NodeObserver

`contentChanged`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### NodeObservingJcrPropertyDigger

    public NodeObservingJcrPropertyDigger()

### Method Detail

#### added

    protected void added​(@NotNull
                         @NotNull java.lang.String path,
                         @NotNull
                         @NotNull java.util.Set<java.lang.String> added,
                         @NotNull
                         @NotNull java.util.Set<java.lang.String> deleted,
                         @NotNull
                         @NotNull java.util.Set<java.lang.String> changed,
                         @NotNull
                         @NotNull java.util.Map<java.lang.String,​java.lang.String> properties,
                         @NotNull
                         @NotNull org.apache.jackrabbit.oak.spi.commit.CommitInfo commitInfo)

Specified by:
  `added` in class `org.apache.jackrabbit.oak.plugins.observation.NodeObserver`

#### deleted

    protected void deleted​(@NotNull
                           @NotNull java.lang.String path,
                           @NotNull
                           @NotNull java.util.Set<java.lang.String> added,
                           @NotNull
                           @NotNull java.util.Set<java.lang.String> deleted,
                           @NotNull
                           @NotNull java.util.Set<java.lang.String> changed,
                           @NotNull
                           @NotNull java.util.Map<java.lang.String,​java.lang.String> properties,
                           @NotNull
                           @NotNull org.apache.jackrabbit.oak.spi.commit.CommitInfo commitInfo)

Specified by:
  `deleted` in class `org.apache.jackrabbit.oak.plugins.observation.NodeObserver`

#### changed

    protected void changed​(@NotNull
                           @NotNull java.lang.String path,
                           @NotNull
                           @NotNull java.util.Set<java.lang.String> added,
                           @NotNull
                           @NotNull java.util.Set<java.lang.String> deleted,
                           @NotNull
                           @NotNull java.util.Set<java.lang.String> changed,
                           @NotNull
                           @NotNull java.util.Map<java.lang.String,​java.lang.String> properties,
                           @NotNull
                           @NotNull org.apache.jackrabbit.oak.spi.commit.CommitInfo commitInfo)

Specified by:
  `changed` in class `org.apache.jackrabbit.oak.plugins.observation.NodeObserver`